#include <stdio.h>
#include <vector>

void dfs(const std::vector<std::vector<int> > &r,
         const std::vector<std::vector<int> > &w,
         const int v,
         const int dst,
         std::vector<int> &dist)
{
    if (dist[v] != -1)
        return;

    dist[v] = dst;
    for (int i = 0; i < r[v].size(); i++)
        dfs(r, w, r[v][i], dst + w[v][i], dist);
}

void solve() {
    int n;
    scanf("%d", &n);
    std::vector<std::vector<int> > r;
    std::vector<std::vector<int> > w;
    r.resize(n);
    w.resize(n);
    for (int i = 1; i < n; i++) {
        int a, b, c;
        scanf("%d %d %d", &a, &b, &c);
        r[a - 1].push_back(b - 1);
        r[b - 1].push_back(a - 1);
        w[a - 1].push_back(c);
        w[b - 1].push_back(c);
    }

    int A,B,C;
    scanf("%d%d%d", &A, &B, &C);
    A--;
    B--;
    C--;

    std::vector<int> dist = std::vector<int>(n, -1);
    dist[0] = -1;

    dfs(r, w, 0, 0, dist);

    if (dist[A] <= dist[B] * 2) {
        printf("Raptors are hungry\n");
        return;
    }

    if (dist[B] * 2 >= dist[C] * 3) {
        printf("Catched\n");
        return;
    }

    printf("I can see the light\n");
}

int main()
{
    solve();
    return 0;
}
